Index: trunk/CHANGES.txt
===================================================================
--- trunk/CHANGES.txt	(revision 281)
+++ 	(revision )
@@ -1,34 +1,0 @@
-##############################################
-# Eleonline 2.0			             #
-# =================                          #
-# Copyright (c) 2012 			     #	
-# by Luciano Apolito e Roberto Gigli	     #
-# http://www.eleonline.it                    #
-# licenza Gnu-GPL 2.0			     #	
-##############################################
-
-Soraldo: release iniziale anno 2001
-
-Eleonline 1.0 : release anno 2006
-Comuni che usano eleonline 25
-
-Eleonline 2.0 : release anno 2009
-Corregge vari bug emersi durante le ultime consultazioni elettorali.
-Implementa la gestione di comuni suddivisi in piu' collegi per consultazioni regionali, europee, senato, camera.
-Implementa grafica multiuso 
-Comuni che usano eleonline 40
-
-Eleonline 2.0 rev 152 ottobre 2012
-- implementazione con le nuove norme sulla suddivisione dei seggi e leggi regione Sicilia
-- migliorie e correzioni varie
-
-Eleonline 2.0 rev 153 ottobre  2012
-- Protezione cfrs 
-
-Eleonline 2.0 rev 154 novembre  2012
-- migliorie e correzioni varie pacchetti e installazione
-
-Comuni che usano eleonline 123
- 
-
-
Index: trunk/CREDITS.txt
===================================================================
--- trunk/CREDITS.txt	(revision 281)
+++ 	(revision )
@@ -1,14 +1,0 @@
-##############################################
-# Eleonline 2.0			             #
-# =================                          #
-# Copyright (c) 2012 			     #	
-# by Luciano Apolito e Roberto Gigli	     #
-# http://www.eleonline.it                    #
-# licenza Gnu-GPL 2.0			     #	
-##############################################
-
-
-Developer:
-- Luciano Apolito email:apoluc@gmail.com cell: 3389538670
-- Roberto Gigli email: rgigli@libero.it 
-
Index: trunk/README.txt
===================================================================
--- trunk/README.txt	(revision 281)
+++ 	(revision )
@@ -1,66 +1,0 @@
-##############################################
-# Eleonline 2.0			             #
-# =================                          #
-# Copyright (c) 2012 			     #	
-# by Luciano Apolito e Roberto Gigli	     #
-# http://www.eleonline.it                    #
-# licenza Gnu-GPL 2.0			     #	
-##############################################
-
-0. Nota Copyright 
--------------------
-- Il nome del prodotto ed il link DEVE RIMANERE nella parte del footer di tutte
-  le pagine generate dallo script. Sono permesse le traduzioni, non le rinomine.
-- Questo pacchetto può essere redistribuito così come viene ricevuto, a condizione che si mantengano intatti su ogni copia tutti i riferimenti al copyright,
-  all'essenza di garanzia ed alla licenza.
-
-
-1. Introduzione e richieste
---------------------------------
-ELEONLINE è un software open source per la gestione elettorale di  qualsiasi consultazione italiana e non solo.
-Il pacchetto permette di essere altamente configurabile, multioperatore e multicomune.
-Alla data di ottobre 2012 il software è usato da piu' di 100 comuni e 400 tornate elettorali
-
-
-2. Installazione
----------------
-Estrai l'archivio in una cartella temporanea e copia i files inclusi come mostrato (e chmod se richiesto):
-----------------------------------------------------------------------------------------------------------
-CHANGES.txt (non fare l'upload)
-CREDITS.txt (non fare l'upload)
-README.txt (non fare l'upload, leggilo solamente)
-doc/*.* (non fare l'upload, leggilo solamente. Contiene i manuali di amministrazione e installazione)
-sql/*.* (non fare l'upload. Contiene i database e gli aggiornalenti)
-
-install.php (upload)
-install/*.*   (upload)
-client/*.*    (upload. Contiene i pacchetti di visualizzazione) 
-admin/*.* (upload se si vuole mettere tutto in un unico server. Contiene l'amministrazione di eleonline)
-
-Per installare il pacchetto , una volta uploadati file, lanciare dal browser il file install.php.
-Finita l'installazione cancellare il file install.php e la directory install
-
-Note: se si vuole installare una release piu recente seguire le istruzioni presenti nel file relativo nella dir "doc"
-
-
-
-
-
-3. Uso
-------
-Per l'uso leggere il file relativo nella dir "doc".
-Si consiglia di visitare il sito http://www.eleonline.it e di registrarsi come utente nonche nella lista delle newsletter per essere sempre aggiornati sugli sviluppi.
-Inoltre la registrazione permette l'uso del forum , sempre attivo in special modo sotto le tornate elettorali dove sono presenti anche gli autori del software per consigli e altro.
-
-Se avete bisogno di essere ospitati sul nostro server, noi siamo disponibili a farlo.
-Per ogni altro uso, idee, consulenze potete contattarci sul sito eleonline.it oppure ai seguenti recapiti:
-
-- Luciano Apolito email:apoluc@gmail.com cell: 3389538670
-- Roberto Gigli email: rgigli@libero.it 
-
-=====================================
-l.apolito e r.gigli
-Ottobre 2012 
-eleonline.it
-
-
Index: trunk/index.php
===================================================================
--- trunk/index.php	(revision 281)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?php
-
-/************************************************************************/
-/* Eleonline - Raccolta e diffusione dei dati elettorali                */
-/* by Luciano Apolito & Roberto Gigli                                   */
-/* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
-/************************************************************************/
-
-    Header("Location: client/index.php");
-die();
-
-?>
Index: trunk/install.php
===================================================================
--- trunk/install.php	(revision 281)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?php
-
-/************************************************************************/
-/* Eleonline - Raccolta e diffusione dei dati elettorali                */
-/* by Luciano Apolito & Roberto Gigli                                   */
-/* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
-/************************************************************************/
-
-    Header("Location: install/index.php");
-die();
-
-?>