Index: /trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 13)
+++ /trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 14)
@@ -69,6 +69,6 @@
 	."<td align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
 	//-----------------------visualizza riga superiore per inserimento -
-	$cond=($tipo_cons==4 and $id_circ) ? "and id_circ='$id_circ'":"";
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $cond ", $dbi);
+	$circo= $cons_circ==1 ? "and id_circ='$id_circ'":"";	
+	$res = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ", $dbi);
 	$max = mysql_num_rows($res);
 	$nuovo_gruppo=$max+1;
@@ -76,5 +76,5 @@
 	."<input type=\"hidden\" name=\"op\" value=\"gruppo\">";
 	if ($do=='modify') {
-	$resl = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_gruppo=$id_gruppo", $dbi);
+	$resl = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
 	$gru=mysql_fetch_array($resl);
 	$nuovo_gruppo=$gru['num_gruppo'];
@@ -83,5 +83,6 @@
 	$gru['id_gruppo']='';$gru['descrizione']='';
 	echo "<input type=\"hidden\" name=\"do\" value=\"add\">";
-	}
+	}	
+
 	//-----------------------fine visualizza riga superiore per inserimento -
 	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">"
@@ -101,5 +102,4 @@
 		echo "<td><input type=\"submit\" name=\"add\" value=\""._ADD."\"></td>";
 	echo "</form>";
-	$circo= $cons_circ==1 ? "and id_circ='$id_circ'":"";	
 		
 		
Index: /trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- /trunk/client/modules/Elezioni/gruppo.php	(revision 13)
+++ /trunk/client/modules/Elezioni/gruppo.php	(revision 14)
@@ -415,8 +415,24 @@
 			$secontot=0;
 			$sevnutot=0;
+		      ////////////////////////////////////////////////////////////////////
+		      // sandro: carica i numeri di sezione dal DB - giugno 2009
+		      // caso: sezioni in collegi diversi non consecutive
+			if($circo) { $secirco=" and t2.id_circ=$id_circ";} else $secirco="and t1.num_sez >= $minsez and t1.num_sez <= $offsetsez";
+				$numsezioni = $offsetsez-$ominsez;
+				$res_numsez = mysql_query("SELECT t1.num_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez",$dbi);
+				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
+					$res=mysql_fetch_row($res_numsez);
+					$ar[$z][0]=$res[0];
+					$pos[$z]=$res[0];
+				}
+			$minpos=min($pos);
+			$maxpos=max($pos);
+			////////////////////////////////////////////////////////////////////
 			if ($res_voti)
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-				if (!isset($votitot[($num_circ-$ominsez)])) {
-					$votitot[($num_circ-$ominsez)]=0;
+				if ($num_circ<$minpos or $num_circ>$maxpos) continue;
+					$z=array_search($num_circ, $pos); 
+				if (!isset($votitot[($z)])) {
+					$votitot[($z)]=0;
 				$sevaltot+=$sevalidi;
 				$senultot+=$senulli;
@@ -425,5 +441,5 @@
 				$sevnutot+=$sevonulli;
 				}
-				$votitot[($num_circ-$ominsez)]+=$voti;
+				$votitot[($z)]+=$voti;
 				$voticompl+=$voti;
 			}
@@ -431,18 +447,5 @@
 			$piuvot=0;
 			if ($visvot!='cand') $piuvot=5;
-			for ($z=1;$z<=($offsetsez-$ominsez);$z++) $ar[$z][0]=$ominsez+$z;
-
-		      ////////////////////////////////////////////////////////////////////
-		      // sandro: carica i numeri di sezione dal DB - giugno 2009
-		      // caso: sezioni in collegi diversi non consecutive
-			if($circo) {
-				$numsezioni = $offsetsez-$ominsez;
-				$res_numsez = mysql_query("SELECT t1.num_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 					where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ order by t1.num_sez",$dbi);
-				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
-					$res=mysql_fetch_row($res_numsez);
-					$ar[$z][0]=$res[0];
-				}
-			}
-			////////////////////////////////////////////////////////////////////
+
 
 
@@ -450,22 +453,22 @@
 			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
 			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
-			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
+ 				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
 			if ($res_voti)
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
 				if ($num_cand>=$min and $num_cand<=$offset){
-					if($num_circ>=$minsez and $num_circ <=$offsetsez){
+					$z=array_search($num_circ, $pos); 
+					if($num_circ>=$minpos and $num_circ <=$maxpos){
 						$ar[0][$num_cand]=$num_cand.") ".$nome;
-						$ar[($num_circ-$ominsez)][0]=$num_circ;
-						if ($desc_circ) $ar[($num_circ-$ominsez)][0].=") ".$desc_circ;
+						if ($desc_circ) $ar[($z)][0].=") ".$desc_circ;
 						$percento=$voti;
-						if ($perc=='true' and $votitot[($num_circ-$ominsez)]) 
+						if ($perc=='true' and $votitot[($z)]) 
 						{
-							$percento=$voti."<br /><span class=\"red\"><i>".number_format($voti*100/$votitot[($num_circ-$ominsez)],2)." %</i></span>";
+							$percento=$voti."<br /><span class=\"red\"><i>".number_format($voti*100/$votitot[($z)],2)." %</i></span>";
 						}
-
-						$ar[($num_circ-$ominsez)][$num_cand]=$percento;
+						$ar[($z)][$num_cand]=$percento;
 					}
 					if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
 					$temp[$num_cand]+=$voti;
+					
 				}
 				if ($visvot!='cand'){
@@ -476,11 +479,11 @@
 				$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
 				$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
-				if (($offsetsez)>=$num_circ and $minsez<=$num_circ){ 
+				if (($maxpos)>=$num_circ and $minpos<=$num_circ){  
 				$posvoti++;
-				$ar[($num_circ-$ominsez)][$posvoti++]="<b>$sevalidi</b>";
-				$ar[($num_circ-$ominsez)][$posvoti++]="<b>$senulli</b>";
-				$ar[($num_circ-$ominsez)][$posvoti++]="<b>$sebianchi</b>";
-				$ar[($num_circ-$ominsez)][$posvoti++]="<b>$secontestati</b>";
-				$ar[($num_circ-$ominsez)][$posvoti]="<b>$sevonulli</b>"; 
+				$ar[($z)][$posvoti++]="<b>$sevalidi</b>";
+				$ar[($z)][$posvoti++]="<b>$senulli</b>";
+				$ar[($z)][$posvoti++]="<b>$sebianchi</b>";
+				$ar[($z)][$posvoti++]="<b>$secontestati</b>";
+				$ar[($z)][$posvoti]="<b>$sevonulli</b>"; 
 				}
 				}