Index: trunk/admin/modules/Elezioni/importa.php
===================================================================
--- trunk/admin/modules/Elezioni/importa.php	(revision 35)
+++ trunk/admin/modules/Elezioni/importa.php	(revision 36)
@@ -42,10 +42,12 @@
 		list ($newidg) = mysql_fetch_row($resnew);
 		unset($valori);
-		inslista($oldidg,$newidg);
-	}
-}
-}
-
-function inslista($oldidg,$newidg)
+		if($oldidg)
+			$_SESSION['gruppi']['idg_'.$oldidg]=$newidg; 
+#		inslista($oldidg,$newidg);
+	}
+}
+}
+
+function inslista()#$oldidg,$newidg
 {
 global $prefix, $dbi;
@@ -53,6 +55,9 @@
 
 	foreach ($ar_lista as $rigalista){
+		if(!isset($rigalista[3])) continue;
 		$oldidl=0;
-		$okl=0;
+		$okl=0; 
+		$oldidg=$rigalista[3];
+		$newidg=$_SESSION['gruppi']['idg_'.$oldidg];
 		foreach($rigalista as $key=>$campo){
 			if ($key==0) $valori="'$idcns',";
@@ -69,10 +74,13 @@
 		list ($newidl) = mysql_fetch_row($reslnew);
 		unset($valori);
-		inscandi($oldidl,$newidl);
-		}
-}
-}
-
-function inscandi($oldidl,$newidl)
+		if($oldidl)
+			$_SESSION['liste']['idl_'.$oldidl]=$newidl; 
+
+#		inscandi($oldidl,$newidl);
+		}
+}
+}
+
+function inscandi()#$oldidl,$newidl
 {
 global $prefix, $dbi;
@@ -80,6 +88,9 @@
 
 		foreach ($ar_candi as $rigacandi){
+			if(!isset($rigacandi[2])) continue;
 			$okc=0;
-			foreach($rigacandi as $key=>$campo){
+			$oldidl=$rigacandi[2];
+			$newidl=$_SESSION['liste']['idl_'.$oldidl];
+			foreach($rigacandi as $key=>$campo){#echo "$key -- $campo<br>";
 				if (count($rigacandi)!=8) {unset($valori);continue;}
 				if ($key==0) $valori= "null,";
@@ -93,5 +104,5 @@
 			}
 		}
-
+#foreach($_SESSION['liste'] as $key=>$val) echo "$key -- $val<br>"; 
 }
 
@@ -112,16 +123,29 @@
 	echo "<td align=\"center\"><input type=\"submit\" name=\"add\" value=\""._OK."\"></td></tr></table></form>";
 ////////////////////////////
-}else{$datafile=$_FILES['datafile']['tmp_name'];
+}else{
+$idcns=$id_cons; 
+$res_del = mysql_query("delete from ".$prefix."_ele_voti_ref where id_cons=$idcns" ,$dbi);
+$res_del = mysql_query("delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns" ,$dbi);
+$res_del = mysql_query("delete from ".$prefix."_ele_voti_lista where id_cons=$idcns" ,$dbi);
+$res_del = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns" ,$dbi);
+$res_del = mysql_query("update ".$prefix."_ele_sezioni set validi='0', contestati='0', validi_lista='0', nulli='0',bianchi='0',contestati_lista='0', voti_nulli_lista='0'  where id_cons=$idcns" ,$dbi);
+$res_del = mysql_query("delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns" ,$dbi);
+$res_del = mysql_query("delete from ".$prefix."_ele_candidati where id_cons=$idcns" ,$dbi);
+$res_del = mysql_query("delete from ".$prefix."_ele_lista where id_cons=$idcns" ,$dbi);
+$res_del = mysql_query("delete from ".$prefix."_ele_gruppo where id_cons=$idcns" ,$dbi);
+$datafile=$_FILES['datafile']['tmp_name'];
 $arrFile = file($datafile);
 $handle = fopen($datafile, "r");
 $test=array();
 $errore=0;
-
+$fine=0;
 // Set counters
     $currentLine = 0;
     $cntFile = count($arrFile);
-$tabs=array($prefix."_ele_gruppo",$prefix."_ele_lista",$prefix."_ele_candidati");
+$tabs=array($prefix."_ele_gruppo",$prefix."_ele_lista",$prefix."_ele_candidati",$prefix."_ele_circoscrizione");
 $x=0;$k=0;
 $scarto=0;
+$primog=0;
+$primol=0;
 $conta=array();
    $currentLine = 0;
@@ -136,5 +160,5 @@
 if($k==0) {while (substr($arrFile[$currentLine],1,-2)!=$conf and $currentLine <= $cntFile) $currentLine++; $k++;}
 			$currentLine++;
-			while($currentLine <= $cntFile ){
+			while($currentLine <= $cntFile and $fine==0){
 #				$appo=substr($arrFile[$currentLine],1,-2);
 				if(isset($arrFile[$currentLine])) 
@@ -143,33 +167,41 @@
 				if (isset($tabs[($x+1)]) and $appo==$tabs[($x+1)]){ $x++;$conf=$tabs[$x];$currentLine++; continue;}
 				$test=explode(':',$appo); if(!is_array($test)) {die("errore di import<br>");}
-				foreach($test as $key=>$val) #echo "$key : $campo ($conf==$prefix._ele_gruppo)"; die();
+				foreach($test as $key=>$val) 
 						if ($conf==$prefix."_ele_gruppo")
 							$ar_gruppo[$z][$key]=addslashes(base64_decode($val));
 						elseif ($conf==$prefix."_ele_lista"){
+							if($primog==0){
+								$gruppofil= array_filter($ar_gruppo);
+								$numgruppo=count($gruppofil);
+								insgruppo();
+								$primog=1;
+								unset($ar_gruppo);
+							}
 							$ar_lista[$z][$key]=addslashes(base64_decode($val));}
-						elseif ($conf==$prefix."_ele_candidati")
+						elseif ($conf==$prefix."_ele_candidati"){
+							if($primol==0){
+								$listafil= array_filter($ar_lista);
+								$numlista=count($listafil);
+								inslista();
+								$primol=1;
+								unset($ar_lista);
+							}
 							$ar_candi[$z][$key]=addslashes(base64_decode($val));
-						elseif ($appo==$prefix."_ele_circoscrizione")
-							{$fine=0;break;}
-			$currentLine++;
+						}
+						elseif ($conf==$prefix."_ele_circoscrizione"){
+							inscandi();
+							unset($ar_candi);
+							$fine=1;
+							break;
+						}
+				$currentLine++;
 				$z++;
 			}
 fclose($handle);
-$idcns=$id_cons; #$ar_gruppo[0][0];
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_ref where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_lista where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("update ".$prefix."_ele_sezioni set validi='0', contestati='0', validi_lista='0', nulli='0',bianchi='0',contestati_lista='0', voti_nulli_lista='0'  where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_candidati where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_lista where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_gruppo where id_cons=$idcns" ,$dbi);
-$gruppofil= array_filter($ar_gruppo);
-$numgruppo=count($gruppofil);
-$listafil= array_filter($ar_lista);
-$numlista=count($listafil);
+
+
+
 if ($numgruppo){
-	insgruppo();
+#	insgruppo();
 	Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen");
 	}