Index: trunk/admin/inc/FCKeditor/editor/filemanager/browser/default/connectors/php/connector.php
===================================================================
--- trunk/admin/inc/FCKeditor/editor/filemanager/browser/default/connectors/php/connector.php	(revision 41)
+++ trunk/admin/inc/FCKeditor/editor/filemanager/browser/default/connectors/php/connector.php	(revision 42)
@@ -48,7 +48,7 @@
 
 	$strBP = dirname($_SERVER['PHP_SELF']);
-	$strBP = stristr_reverse($strBP, 'includes/FCKeditor/editor/filemanager/browser/default/connectors/php');
+	$strBP = stristr_reverse($strBP, 'inc/FCKeditor/editor/filemanager/browser/default/connectors/php');
 	if ($strBP{strlen($strBP)-1} != "/") $strBP	.= "/";
-	$strBP .= 'includes/FCKeditor/upload/';
+	$strBP .= 'inc/FCKeditor/upload/';
 	$GLOBALS["UserFilesPath"] = $strBP ;
 }
Index: trunk/client/modules/Elezioni/blocchi/02_risultati.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/02_risultati.php	(revision 41)
+++ trunk/client/modules/Elezioni/blocchi/02_risultati.php	(revision 42)
@@ -20,5 +20,5 @@
     //$content .="<div style=\"text-align:left;\"><strong>$descr_cons</strong></div><br/>";
     for($x=0;$x<count($gruppo);$x++){
-	echo "<strong><big>&middot;</big></strong>".$gruppo[$x]." <b><span style=\"color:#ff0000;\">".$pro[$x] ."%</a></b> <br />\n";
+	echo "<strong><big>&middot;</big></strong>".$gruppo[$x]." <b><span style=\"color:#ff0000;\">".$pro[$x] ."%</span></b> <br />\n";
     }
 
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 41)
+++ trunk/client/modules/Elezioni/index.php	(revision 42)
@@ -20,4 +20,5 @@
 if (isset($param['pdf'])) $pdf=intval($param['pdf']); else $pdf='0';
 if (isset($param['datipdf'])) get_magic_quotes_gpc() ? $datipdf=$param['datipdf']:$datipdf=addslashes($param['datipdf']); else $datipdf='';
+if(isset($param['visgralista'])) $visgralista=1;
 if (isset($param['id_comune'])) $id_comune=intval($param['id_comune']); else $id_comune=$siteistat;
 if (isset($param['id_cons_gen'])) $id_cons_gen=intval($param['id_cons_gen']); else $id_cons_gen=$id_cons_pred;// cons predefinita
@@ -143,5 +144,5 @@
 *************************/
 function menu() {
-	global $hondt,$lang,$multicomune, $tema, $op, $prefix, $dbi, $offset, $min,$descr_cons,$info,$dati, $votog,$votol,$votoc,$circo, $id_cons,$tipo_cons,$genere,$descr_cons,$id_cons_gen,$id_comune,$id_circ,$minsez,$offsetsez, $limite,$hondt,$tema_on,$js;
+	global $hondt,$lang,$multicomune, $tema, $op, $prefix, $dbi, $offset, $min,$descr_cons,$info,$dati, $votog,$votol,$votoc,$circo, $id_cons,$tipo_cons,$genere,$descr_cons,$id_cons_gen,$id_comune,$id_circ,$minsez,$offsetsez, $limite,$hondt,$tema_on,$js,$visgralista;
 
 $tema=htmlentities($tema); //xss        
@@ -448,5 +449,5 @@
 
 }
- 
+	if(!isset($max)) $max=0; 
      page($id_cons_gen,$go,$max,$min,$prev,$next,$offset,$file);
 
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 41)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 42)
@@ -199,5 +199,5 @@
 define("_SCELTA_LISTE","ASSEGNA LE LISTE AI RAGGRUPPAMENTI");
 define("_ALTRI","Altri sotto il 3%");
-define("_CNFR_CONS",htmlentities("RAFFRONTO TRA CONSULTAZIONI<br/>si può impostare su liste singole o su raggruppamenti"));
+define("_CNFR_CONS","RAFFRONTO TRA CONSULTAZIONI<br/>".htmlentities("si può impostare su liste singole o su raggruppamenti"));
 define("_SCELTA_CONS","<b>Scegli le consultazioni da mettere a confronto</b>");
 
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 41)
+++ trunk/client/modules/Elezioni/menu.php	(revision 42)
@@ -34,5 +34,5 @@
 	if ($multicomune=='1')
 	{
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa<2 group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
 	      $rescomu= mysql_query("$sqlcomu",$dbi);
 	      $esiste_multi=mysql_num_rows($rescomu);
@@ -187,6 +187,8 @@
         echo "<td >";
 
-		$temp = array('affluenze_graf'=>'','graf_votanti'=>'','graf_gruppo'=>'','graf_candidato'=>'');
-		$temp[$op]='selected="selected"';
+		$temp = array('affluenze_graf'=>'','graf_votanti'=>'','graf_gruppo'=>'','graf_lista'=>'','graf_candidato'=>'');
+		if(!isset($visgralista))
+			$temp[$op]='selected="selected"';
+		else $temp['graf_lista']='selected="selected"';
 		#	<div><label class=\"blu\" for=\"grafici\">"._GRAFICI."
 		
@@ -204,4 +206,6 @@
 #inutile	 	if($genere!=4 || $tipo_cons==8)
 	 		echo "<option value=\"graf_gruppo\" ".$temp['graf_gruppo']." >"._GRUPPO."</option>";
+	 		if($genere==5)
+	 		echo "<option value=\"graf_gruppo&amp;visgralista=1\" ".$temp['graf_lista'].">"._LISTA."</option>";
 		if ($genere>3){
 			if (!$circo && !$votog)	 
Index: trunk/client/temi/facebook/menu.php
===================================================================
--- trunk/client/temi/facebook/menu.php	(revision 41)
+++ trunk/client/temi/facebook/menu.php	(revision 42)
@@ -59,5 +59,5 @@
 	if ($multicomune=='1')
 	{
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa<2 group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
 	      $rescomu= mysql_query("$sqlcomu",$dbi);
 	      $esiste_multi=mysql_num_rows($rescomu);
Index: trunk/widget.sql
===================================================================
--- trunk/widget.sql	(revision 42)
+++ trunk/widget.sql	(revision 42)
@@ -0,0 +1,52 @@
+-- MySQL dump 10.11
+--
+-- Host: localhost    Database: eleonline
+-- ------------------------------------------------------
+-- Server version	5.0.45-log
+
+/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
+/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
+/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
+/*!40101 SET NAMES utf8 */;
+/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
+/*!40103 SET TIME_ZONE='+00:00' */;
+/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
+/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
+/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
+/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
+
+--
+-- Table structure for table `soraldo_ele_widget`
+--
+
+DROP TABLE IF EXISTS `soraldo_ele_widget`;
+CREATE TABLE `soraldo_ele_widget` (
+  `id` int(10) NOT NULL auto_increment,
+  `nome_file` varchar(255) NOT NULL default '',
+  `titolo` varchar(255) NOT NULL default '',
+  `pos_or` int(1) NOT NULL default '1',
+  `pos_ver` int(3) NOT NULL default '0',
+  `attivo` int(1) NOT NULL default '0',
+  PRIMARY KEY  (`id`)
+) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
+
+--
+-- Dumping data for table `soraldo_ele_widget`
+--
+
+LOCK TABLES `soraldo_ele_widget` WRITE;
+/*!40000 ALTER TABLE `soraldo_ele_widget` DISABLE KEYS */;
+INSERT INTO `soraldo_ele_widget` VALUES (1,'00_affluenze.php','00_affluenze.php',0,0,1),(2,'01_votanti.php','01_votanti.php',1,0,0),(3,'02_risultati.php','02_risultati.php',0,0,1),(4,'04_sezioni.php','04_sezioni.php',1,0,0),(5,'bar_affluenze.php','bar_affluenze.php',1,0,0),(6,'bloccocand.php','bloccocand.php',1,0,0),(7,'bloccogen.php','bloccogen.php',1,0,0),(8,'bloccolink.php','bloccolink.php',1,0,0),(9,'bloccoref.php','bloccoref.php',1,0,0),(10,'gom_affluenze.php','gom_affluenze.php',0,0,1),(11,'off_Votanti.php','off_Votanti.php',0,0,1),(12,'pie_affluenze.php','pie_affluenze.php',1,0,0);
+/*!40000 ALTER TABLE `soraldo_ele_widget` ENABLE KEYS */;
+UNLOCK TABLES;
+/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
+
+/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
+/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
+/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
+/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
+/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
+/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
+/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
+
+-- Dump completed on 2010-03-22 13:20:41