Index: trunk/admin/modules/Elezioni/ele_configurazione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 46)
+++ trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 48)
@@ -54,9 +54,11 @@
 if (isset($param['editor'])) $editor=intval($param['editor']); else $editor='0';
 if (isset($param['tema_on'])) $tema_on=intval($param['tema_on']); else $tema_on='0';
+if (isset($param['help'])) $help=intval($param['help']);
+
 /******************************************************/
 /*Funzione di visualizzazione globale                 */
 /*****************************************************/
 	function all() {
-   		global $tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $prefix2, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$do,$tema;
+   		global $tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $prefix2, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$do,$tema,$language,$help;
 		global $gkey,$ed_user,$googlemaps,$editor,$tema_on;
 //		$restemp = mysql_query("select count(0) from ".$prefix."_ele_conf where tema='$tema'", $dbi);
@@ -64,4 +66,5 @@
 
 
+		if (isset($help)) include("language/$language/ele_configurazione.html");
 
 	//-----------------------visualizza riga superiore per inserimento -
Index: trunk/admin/modules/Elezioni/language/it/ele_configurazione.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 46)
+++ trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 48)
@@ -1,5 +1,3 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
-<html><head>
-</head><body style="width: 688px;">
+
 <table class="table-main">
 
@@ -7,5 +5,5 @@
     <tr>
       <td style="height: 33px;">
-      <p style="margin-bottom: 0cm; text-align: center;">Questo è il
+      <p style="margin-bottom: 0cm; text-align: center;">Questo e' il
 pannello di configurazione generale del sito.</p>
       </td>
@@ -16,18 +14,5 @@
       
       <meta name="GENERATOR" content="OpenOffice.org 3.1  (Unix)">
-      <style type="text/css">
-	<!--
-		@page { margin: 2cm }
-		P { margin-bottom: 0.21cm }
-		P.first-line-indent { text-indent: 0.5cm }
-		P.testo-esteso { margin-right: 0.3cm; text-indent: 0.5cm; text-align: justify; page-break-before: auto }
-	-->
-	</style>
-      
-      <b> </b>
-      
-      <b> </b>
-      
-      <b> </b>
+
       <p style="margin-bottom: 0cm; page-break-after: avoid;" align="justify">La scheda,
 intitolata <i>impostazioni di configurazione generale</i>, mette a
@@ -40,8 +25,8 @@
       <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Visualizzare
 la scelta del tema?</b></font></font> Il programma fornisce all'utente finale, che si
-collega al sito per consultare i risultati elettorali, la possibilità
+collega al sito per consultare i risultati elettorali, la possibilita'
 di cambiare il &#8220;tema&#8221;, lo stile grafico, delle pagine web che
 vengono generate. Con questa scelta viene concessa, o inibita, tale
-possibilità. Nel menu posto a fianco <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Tema
+possibilita'. Nel menu posto a fianco <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Tema
 predefinito</b></font></font><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><span style="font-weight: normal;">
 il superuser sceglie lo stile grafico predefinito del sito.</span><br>
@@ -54,37 +39,35 @@
 le animazioni flash?</b></font></font> Con questa scelta si sceglie se l'utente finale visualizzerà i
 grafici in modo statico o animato.<br>
-      <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Il superuser dovrà indicare</b></font></font>
-      al programma se <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>si
-gestiscono più comuni</b></font></font>, dovrà immettere
-l'indirizzo <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>mail
-dell'amministratore</b></font></font><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">,
-l'</span></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>URL
-del sito o IP,</b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><b> </b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">potrà
-caricare un'</span></font></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Immagine
-per la testata</b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">,
-potrà scegliere il </span></font></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Comune
-visualizzato per default dal client,</b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">
-e dovrà indicare il </span></font></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Codice
-della lingua da utilizzare</b></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">.</span></font></font></font><br>
-<b><font color="#000000"><font face="Times New Roman, serif"><b>Attivare
-l'accesso alle google maps?</b><br>
-<font size="3"><span style="font-weight: normal;">Offre
+      <b>Il superuser dovrà indicare</b>
+      al programma se si
+gestiscono più comuni, dovrà immettere
+l'indirizzo mail
+dell'amministratore,
+l'URL
+del sito o IP, potra'
+caricare un'Immagine
+per la testata,
+potrà scegliere il Comune
+visualizzato per default dal client,
+e dovrà indicare il Codice
+della lingua da utilizzare 
+Attivare
+l'accesso alle google maps - Offre
 la possibilità di attivare la visualizzazione sul sito delle mappe
 di GoogleMaps per localizzare l'ubicazione delle sedi elettorali; con
-tale opzione attiva occorrerà indicare la </span></font></font></font><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 11pt;" size="3"><b>Chiave
-per google maps</b></font></font></font><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><font size="3"><span style="font-weight: normal;"> ottenibile a questo indirizzo: http://code.google.com/apis/maps/signup.html</span></font><br>
+tale opzione attiva occorrerà indicare la Chiave
+per google maps ottenibile a questo indirizzo: http://code.google.com/apis/maps/signup.html<br>
 <b>Utilizzare
-l' FCKeditor? </b><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">Con
+l' FCKeditor? </b>Con
 l'FCKeditor sarà possibile &#8220;editare&#8221; le informazioni che si inseriranno
 tramite i menu "Come si vota", "Numeri Utili", "Servizi", "Link Utili"
 con
 strumenti di formattazione più articolati di un semplice editor di
-testo. La scelta </span></font></font></font><b><font color="#000000"><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2">Permessi
-d'uso di FCKeditor</font></font></font></b><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-weight: normal;">
-consente al </span></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><i><span style="font-weight: normal;">Superuser </span></i></font></font></font><font color="#000000"><font face="Times New Roman, serif"><font size="3"><span style="font-style: normal;"><span style="font-weight: normal;">di
-decidere. quanti di questi strumenti l'utente del programma avrà a
-disposizione chi sarà autorizzato a immettere le informazioni di
-servizio sul sito</span></span></font></font></font></font></font></b></p>
-      <b> </b></td>
+testo. La scelta Permessi
+d'uso di FCKeditor
+consente al Superuser di
+decidere. quanti di questi strumenti l'utente del programma avra' a
+disposizione chi sara' autorizzato a immettere le informazioni di
+servizio sul sito</td>
     </tr>
     