Index: trunk/admin/modules/Elezioni/language/it/ele_configurazione.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 48)
+++ trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 51)
@@ -11,51 +11,44 @@
     <tr>
       <td style="height: 89px;">
-      <meta http-equiv="CONTENT-TYPE" content="text/html; charset=utf-8"><title>ele_configurazione</title>
-      
-      <meta name="GENERATOR" content="OpenOffice.org 3.1  (Unix)">
-
-      <p style="margin-bottom: 0cm; page-break-after: avoid;" align="justify">La scheda,
+La scheda,
 intitolata <i>impostazioni di configurazione generale</i>, mette a
-disposizione dei menu di scelta a tendina e dei campi da riempire, la
+disposizione alcuni menu di scelta a tendina e dei campi da riempire, la
 cui scelta deve sempre essere confermata con il comando <i>modifica.</i><br>
-Quelli
-descritti di seguito sono gli effetti che le varie scelte sortiranno
-sulle pagine web che l'utente finale si troverà di fronte quando
-accederà al sito per la consultazione dei risultati elettorali.<br>
-      <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Visualizzare
-la scelta del tema?</b></font></font> Il programma fornisce all'utente finale, che si
-collega al sito per consultare i risultati elettorali, la possibilita'
-di cambiare il &#8220;tema&#8221;, lo stile grafico, delle pagine web che
-vengono generate. Con questa scelta viene concessa, o inibita, tale
-possibilita'. Nel menu posto a fianco <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Tema
-predefinito</b></font></font><font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><span style="font-weight: normal;">
-il superuser sceglie lo stile grafico predefinito del sito.</span><br>
-      <b>Visualizzare
-il blocco laterale?</b></font></font> In questo menu si decide se far apparire o meno,
+Quelli descritti di seguito sono gli effetti che le varie scelte sortiranno
+sulle pagine che l'utente finale si trovera' di fronte quando
+accedera' al sito web per la consultazione dei risultati elettorali.<br>
+<p style="margin-bottom: 0cm; text-align: left;"><b>Visualizzare
+la scelta del tema?</b> Se impostato su "si" l'utente finale, che si
+collega al sito per consultare i risultati elettorali, avra' la possibilita'
+di cambiare il &#8220;tema&#8221;, cioe' lo stile grafico, delle pagine web che
+vengono generate. <br>Nel menu posto a fianco, <b>Tema
+predefinito</b>,
+il superuser sceglie lo stile grafico predefinito del sito.<br>
+<b>Visualizzare il blocco laterale?</b> In questo menu si decide se far apparire o meno,
 sulle pagine generate per la consultazione, alcune informazioni
 supplementari relative alle operazioni di voto e ai risultati, che
 verranno scelte nell'opzione successiva &#8220;widget&#8221;.<br>
-      <font face="Arial, sans-serif"><font style="font-size: 10pt;" size="2"><b>Utilizzare
-le animazioni flash?</b></font></font> Con questa scelta si sceglie se l'utente finale visualizzerà i
-grafici in modo statico o animato.<br>
-      <b>Il superuser dovrà indicare</b>
+<b>Utilizzare
+le animazioni flash?</b> Con questa scelta si sceglie se l'utente finale visualizzera' i
+grafici in modo statico (se impostato su no) o animato (se impostato su si).<br>
+      <b>Il superuser dovra' indicare</b>
       al programma se si
-gestiscono più comuni, dovrà immettere
+gestiscono piu' comuni, dovra' immettere
 l'indirizzo mail
 dell'amministratore,
 l'URL
-del sito o IP, potra'
+del sito web o il suo IP, potra'
 caricare un'Immagine
 per la testata,
-potrà scegliere il Comune
+potra' scegliere il Comune
 visualizzato per default dal client,
-e dovrà indicare il Codice
-della lingua da utilizzare 
-Attivare
-l'accesso alle google maps - Offre
-la possibilità di attivare la visualizzazione sul sito delle mappe
+e dovra' indicare il Codice
+della lingua da utilizzare (la scelta predefinita e' "it").<br>
+<b>Attivare
+l'accesso alle google maps</b> - Offre
+la possibilita' di attivare la visualizzazione sul sito delle mappe
 di GoogleMaps per localizzare l'ubicazione delle sedi elettorali; con
-tale opzione attiva occorrerà indicare la Chiave
-per google maps ottenibile a questo indirizzo: http://code.google.com/apis/maps/signup.html<br>
+tale opzione attiva occorrera' indicare la Chiave
+per google maps, specifica per ogni sito web, ottenibile a questo indirizzo: http://code.google.com/apis/maps/signup.html<br>
 <b>Utilizzare
 l' FCKeditor? </b>Con
@@ -63,11 +56,12 @@
 tramite i menu "Come si vota", "Numeri Utili", "Servizi", "Link Utili"
 con
-strumenti di formattazione più articolati di un semplice editor di
-testo. La scelta Permessi
-d'uso di FCKeditor
+strumenti di formattazione piu' articolati di un semplice editor di
+testo. <br>
+La scelta <b>Permessi
+d'uso di FCKeditor</b>
 consente al Superuser di
-decidere. quanti di questi strumenti l'utente del programma avra' a
+decidere quanti di questi strumenti avra' a
 disposizione chi sara' autorizzato a immettere le informazioni di
-servizio sul sito</td>
+servizio sul sito</p></td>
     </tr>
     