Index: trunk/admin/modules/Elezioni/language/en/ele.html
===================================================================
--- trunk/admin/modules/Elezioni/language/en/ele.html	(revision 54)
+++ trunk/admin/modules/Elezioni/language/en/ele.html	(revision 54)
@@ -0,0 +1,41 @@
+<table style="width: 686px; height: 150px; color: #000000;">
+
+<tbody>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Informazioni generali per l'avvio e l'uso di EleOnLine.</b></p>
+</td>
+</tr><tr>
+<td style="height: 89px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">Il menu di aiuto contestuale, posto in cima alle voci di menu, vuole facilitare la comprensione delle funzioni del programma. Stando nella maschera di una funzione e cliccando sulla voce di menu "Help Contestuale" si attiva una scheda con le istruzioni per la gestione di quella funzione.<br> Attualmente e' in fase di completamento ed Ãš disponibile solo per le voci: "Configurazione" - "Consultazione" - "Affluenze" - "Autorizza Comuni" del menu del Superutente e "Consultazioni" del menu dell'Amministratore.</td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">
+<b>Operazioni da effettuare per la prima attivazione del sito da parte dell'utente Superuser:</b></td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: left; width: 576px;">
+1) Comuni: inserire almeno un comune<br>
+2) Amministratori: inserire la password per l'Amministratore principale del comune inserito<br>
+3) Consultazione: inserire una consultazione<br>
+4) Affluenze: impostare gli orari di rilevazione delle affluenze per la consultazione<br>
+5) Autorizza comuni: scegliere il comune da autorizzare, lasciare "stato" su attiva e confermare<br>
+6) Configurazione sito: impostare tutti i parametri che interessano, in particolare scegliere il comune di default<br>
+<b>Nota:</b> I punti 3, 4, 5 sono i soli necessari per l'inserimento delle consultazioni successive alla prima installazione</td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">
+
+<b>Dal menu Administrator (operazioni a carico dell' Amministratore del comune):</b></td></tr><tr><td>
+<p style="margin-bottom: 0cm; text-align: left; width: 576px;">
+1) Operatori: crea gli utenti che potranno essere abilitare (l'inserimento va fatto una sola volta)<br>
+2) Permessi: abilita gli utenti inseriti al punto 1) ad operare sulla specifica consultazione e assegna i permessi<br>
+3) Circoscrizione (o Collegi); ne va inserita almeno una (se non ve ne sono chiamarla "unica")<br>
+4) Sede elettorale: inserisci le singole sedi e attribuiscile alle (o alla) circoscrizioni (o Collegi)<br>
+5) Sezione: inserisci le singole sezioni e assegnale alle sedi elettorali<br>
+<b>Nota:</b> i punti 3,4,5 sono necessari solo per il primo inserimento, per i successivi si utilizza la voce di menu "Consultazioni" che permette di popolare l'archivio prendendo i dati da una consultazione precedente.
+6) Candidato Presidente:
+7) Lista:
+8) Candidato:
+Inserire in modo gerarchico questi dati e assegnare il gruppo o la lista di appartenenza 
+
+</td>
+</tr>
+
+</tbody>
+</table>
+
Index: trunk/admin/modules/Elezioni/language/en/ele_affluenze.html
===================================================================
--- trunk/admin/modules/Elezioni/language/en/ele_affluenze.html	(revision 54)
+++ trunk/admin/modules/Elezioni/language/en/ele_affluenze.html	(revision 54)
@@ -0,0 +1,29 @@
+
+<table style="width: 686px; height: 150px; color: #000000;">
+
+  <tbody>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Questo e' il
+secondo passo nella creazione di nuove consultazioni.</b></p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;">Utilizzando
+il menu <b>Affluenze</b> si inseriscono, o si modificano, gli<br>
+orari previsti per il rilevamento delle affluenze alle urne.<br>
+Una volta definiti, gli orari possono essere cancellati, modificati o aggiunti.<br>
+      </p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Il terzo passo
+nella
+creazione di nuove consultazioni e' "Autorizza Comuni".</b></p>
+      </td>
+    </tr>
+  </tbody>
+</table>
+
Index: trunk/admin/modules/Elezioni/language/en/ele_associazioni.html
===================================================================
--- trunk/admin/modules/Elezioni/language/en/ele_associazioni.html	(revision 54)
+++ trunk/admin/modules/Elezioni/language/en/ele_associazioni.html	(revision 54)
@@ -0,0 +1,29 @@
+<table style="width: 686px; height: 150px; color: #000000;">
+
+<tbody>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Questo e' il terzo passo nella creazione di nuove consultazioni.</b></p>
+</td>
+</tr>
+<tr>
+<td style="height: 89px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;">Utilizzando
+il menu "<span style="font-weight: bold;">Autorizza Comuni</span>" si concede ad ogni singolo comune la possibilita' di utilizzare la consultazione corrente.Nel
+caso di consultazioni per l'elezione del consiglio comunale e' possibile
+assegnare una tra le modalita' di calcolo predefinite per
+l'assegnazione dei seggi di consiglio secondo il metodo D'Hondt.
+
+</td>
+</tr>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Con questa operazione il Superadmin ha terminato la fase di creazione di una nuova consultazione. <br>
+Le operazioni successive potranno essere svolte dall'Amministratore del singolo comune (admin), <br>
+la prima operazione da eseguire sara' accessibile dal suo menu "Consultazione"</b>
+</p>
+</td>
+</tr>
+</tbody>
+</table>
+
Index: trunk/admin/modules/Elezioni/language/en/ele_configurazione.html
===================================================================
--- trunk/admin/modules/Elezioni/language/en/ele_configurazione.html	(revision 54)
+++ trunk/admin/modules/Elezioni/language/en/ele_configurazione.html	(revision 54)
@@ -0,0 +1,71 @@
+
+<table style="width: 686px; height: 150px; color: #000000;">
+
+  <tbody>
+    <tr>
+      <td style="height: 33px;">
+      <p style="margin-bottom: 0cm; text-align: center;">Questo e' il
+pannello di configurazione generale del sito.</p>
+      </td>
+    </tr>
+    <tr>
+      <td style="height: 89px;">
+La scheda,
+intitolata <i>impostazioni di configurazione generale</i>, mette a
+disposizione alcuni menu di scelta a tendina e dei campi da riempire, la
+cui scelta deve sempre essere confermata con il comando <i>modifica.</i><br>
+Quelli descritti di seguito sono gli effetti che le varie scelte sortiranno
+sulle pagine che l'utente finale si trovera' di fronte quando
+accedera' al sito web per la consultazione dei risultati elettorali.<br>
+<p style="margin-bottom: 0cm; text-align: left;"><b>Visualizzare
+la scelta del tema?</b> Se impostato su "si" l'utente finale, che si
+collega al sito per consultare i risultati elettorali, avra' la possibilita'
+di cambiare il &#8220;tema&#8221;, cioe' lo stile grafico, delle pagine web che
+vengono generate. <br>Nel menu posto a fianco, <b>Tema
+predefinito</b>,
+il superuser sceglie lo stile grafico predefinito del sito.<br>
+<b>Visualizzare il blocco laterale?</b> In questo menu si decide se far apparire o meno,
+sulle pagine generate per la consultazione, alcune informazioni
+supplementari relative alle operazioni di voto e ai risultati, che
+verranno scelte nell'opzione successiva &#8220;widget&#8221;.<br>
+<b>Utilizzare
+le animazioni flash?</b> Con questa scelta si sceglie se l'utente finale visualizzera' i
+grafici in modo statico (se impostato su no) o animato (se impostato su si).<br>
+      <b>Il superuser dovra' indicare</b>
+      al programma se si
+gestiscono piu' comuni, dovra' immettere
+l'indirizzo mail
+dell'amministratore,
+l'URL
+del sito web o il suo IP, potra'
+caricare un'Immagine
+per la testata,
+potra' scegliere il Comune
+visualizzato per default dal client,
+e dovra' indicare il Codice
+della lingua da utilizzare (la scelta predefinita e' "it").<br>
+<b>Attivare
+l'accesso alle google maps</b> - Offre
+la possibilita' di attivare la visualizzazione sul sito delle mappe
+di GoogleMaps per localizzare l'ubicazione delle sedi elettorali; con
+tale opzione attiva occorrera' indicare la Chiave
+per google maps, specifica per ogni sito web, ottenibile a questo indirizzo: http://code.google.com/apis/maps/signup.html<br>
+<b>Utilizzare
+l' FCKeditor? </b>Con
+l'FCKeditor sarà possibile &#8220;editare&#8221; le informazioni che si inseriranno
+tramite i menu "Come si vota", "Numeri Utili", "Servizi", "Link Utili"
+con
+strumenti di formattazione piu' articolati di un semplice editor di
+testo. <br>
+La scelta <b>Permessi
+d'uso di FCKeditor</b>
+consente al Superuser di
+decidere quanti di questi strumenti avra' a
+disposizione chi sara' autorizzato a immettere le informazioni di
+servizio sul sito</p></td>
+    </tr>
+    
+  </tbody>
+</table>
+
+</body></html>
Index: trunk/admin/modules/Elezioni/language/en/ele_cons_comuni.html
===================================================================
--- trunk/admin/modules/Elezioni/language/en/ele_cons_comuni.html	(revision 54)
+++ trunk/admin/modules/Elezioni/language/en/ele_cons_comuni.html	(revision 54)
@@ -0,0 +1,24 @@
+
+<table style="width: 686px; height: 150px; color: #000000;">
+
+  <tbody>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Menu dell'Amministratore del comune<br>Scheda di inserimento automatizzato delle informazioni nelle nuove consultazioni.</b></p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;">Utilizzando
+il menu <b>Consultazioni</b> si inseriscono (pulsante "popola"), in maniera automatica, i dati relativi a Circoscrizioni, sedi elettorali e sezioni, dalla consultazione corrente a quella corrispondente al tasto "popola". E' possibile trasportare anche i dati degli iscritti nelle sezioni, ma va fatta espressamente la scelta tramite la relativa combo.<br>Sara' possibile copiare il numero degli iscritti anche successivamente, tramite il corrispondente pulsante "Aggiorna".<br><b>Nota bene:</b>La copia prevede come <b>origine dei dati</b> quelli presenti nella consultazione corrente e come destinazione quella corrispondente al pulsante <b>Popola</b>.
+      </p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Il passo successivo potra' essere "Scarica liste" se su internet e' gia' presente un sito con i dati di raggruppamenti, liste e candidati (o quesiti referendari, a seconda della tipologia della consultazione), altrimenti si passa direttamente al menu di inserimento dati, in maniera gerarchica (es. prima Candidato Presidente poi Lista e infine Candidato).</b></p>
+      </td>
+    </tr>
+  </tbody>
+</table>
+
Index: trunk/admin/modules/Elezioni/language/en/ele_consultazioni.html
===================================================================
--- trunk/admin/modules/Elezioni/language/en/ele_consultazioni.html	(revision 54)
+++ trunk/admin/modules/Elezioni/language/en/ele_consultazioni.html	(revision 54)
@@ -0,0 +1,44 @@
+<table style="width: 686px; height: 150px; color: #000000;">
+
+<tbody>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center;"><b>Questo Ãš il primo passo
+nella
+creazione di nuove consultazioni.</b></p>
+</td>
+</tr>
+<tr>
+<td style="height: 89px;">
+      <div style="text-align: center;">
+      </div>
+      <p style="margin-bottom: 0cm; text-align: center;"><b>Consultazione:</b>
+Serve per aprire nuove consultazioni.
+Nella combo box va scelta la tipologia di consultazione,
+va poi assegnato un nome e inserite le date di inizio e
+fine delle perazioni di voto.<br>
+In archivio sono gia'
+presenti un certo numero di tipi di consultazione, ma
+e' possibile aggiungerne di nuovi utilizzando la voce
+âGestione tipiâ.<br>
+Successivamente
+sarÃ  possibile modificare la descrizione e le
+date delle operazioni di voto, ma non sarÃ  possibile
+attribuire una diversa tipologia.
+      </p>
+
+
+
+</td>
+</tr>
+<tr>
+<td style="height: 33px;">
+<p style="margin-bottom: 0cm; text-align: center;"><b>Il secondo passo
+nella
+creazione di nuove consultazioni Ãš "Affluenze".</b></p>
+</td>
+</tr>
+</tbody>
+</table>
+<br>
+
Index: trunk/admin/modules/Elezioni/language/it/ele_confcons.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_confcons.html	(revision 54)
+++ trunk/admin/modules/Elezioni/language/it/ele_confcons.html	(revision 54)
@@ -0,0 +1,24 @@
+<table style="width: 686px; height: 150px; color: #000000;">
+
+  <tbody>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Questo menu permette di creare nuove tipologie di calcolo per l'assegnazione dei seggi di consiglio basate sul metodo d'Hondt.</b></p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;">Vanno impostati i vari parametri e salvata la configurazione.<br>
+Una volta definita, si potra' intervenire successivamente su tutte le caratteristiche attribuite, considerando che le modifiche avranno effetto su tutte le consultazioni cui e' stata assegnata la tipologia di calcolo che si sta modificando. Se non deve valere per tutte e' opportuno crearne una nuova da assegnare solo a quelle interessate dalle nuove norme.<br>
+
+      </p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>La nuova tipologia sara' disponibile tra quelle presenti nella combo di assegnazione del menu "Autorizza Comuni" ma solo per consultazioni per l'elezione del Consiglio Comunale.</b></p>
+      </td>
+    </tr>
+  </tbody>
+</table>
+
Index: trunk/admin/modules/Elezioni/language/it/ele_configurazione.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 53)
+++ trunk/admin/modules/Elezioni/language/it/ele_configurazione.html	(revision 54)
@@ -53,5 +53,5 @@
 <b>Utilizzare
 l' FCKeditor? </b>Con
-l'FCKeditor sarà possibile &#8220;editare&#8221; le informazioni che si inseriranno
+l'FCKeditor sara' possibile &#8220;editare&#8221; le informazioni che si inseriranno
 tramite i menu "Come si vota", "Numeri Utili", "Servizi", "Link Utili"
 con
Index: trunk/admin/modules/Elezioni/language/it/ele_consultazionitipi.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_consultazionitipi.html	(revision 54)
+++ trunk/admin/modules/Elezioni/language/it/ele_consultazionitipi.html	(revision 54)
@@ -0,0 +1,25 @@
+<table style="width: 686px; height: 150px; color: #000000;">
+
+  <tbody>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Questo menu permette di creare nuove tipologie di consultazione.</b></p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;">Va usato solo se assolutamente necessario<br>
+per creare tipologie di consultazione personalizzate.<br>
+Una volta definita, non si potra' piu' intervenire sulle caratteristiche attribuite.<br>
+Potra' essere modificato esclusivamente il nome.<br>
+      </p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Se si imposta una nuova tipologia di consultazione e' necessario intervenire a mano nel file dei linguaggi per definire le variabili che verranno utilizzate (dipendono dalle caratteristiche assegnate).</b></p>
+      </td>
+    </tr>
+  </tbody>
+</table>
+
Index: trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-en.php	(revision 53)
+++ trunk/admin/modules/Elezioni/language/lang-en.php	(revision 54)
@@ -65,4 +65,5 @@
 		define("_CONSULTAZIONE","Regional Parliament Election"); 
 		define("_GRUPPO","Candidate for President");
+		define("_CONSI","List Candidate");
 		break;
 	case 10: //dal 2006 per senato e camera si ha un raggruppamento delle liste ma senza possibilità di voto per il gruppo (solo in italia!)
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 53)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 54)
@@ -71,4 +71,5 @@
 		define("_CONSULTAZIONE","Consultazione Elezioni Regionali"); //genere 5
 		define("_GRUPPO","Candidato Presidente");
+		define("_CONSI","Candidato Lista");
 		define("_SOLO_GRUPPO","Voti al solo candidato Presidente");
 		define("_DESCRCONS","REGIONALI");