Index: /trunk/admin/modules/Elezioni/ele.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele.php	(revision 75)
+++ /trunk/admin/modules/Elezioni/ele.php	(revision 76)
@@ -262,5 +262,5 @@
 	<td valign=\"top\" width=\"150\">";
 	if ($op!='consultazione' and $perms>0 and $nrcirco and ($nrlista or $nrgruppo)) {
-			echo "<a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;do=circo\">$bullet "._GEST." "._SPOGLIO."</a><br>";
+			echo "<a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio\">$bullet "._GEST." "._SPOGLIO."</a><br>";
 		if ($nraff) {
 			echo "<a href=\"admin.php?op=controllo_votanti&amp;id_cons_gen=$id_cons_gen\">$bullet "._STATO." "._AFFLUENZE."</a><br>";
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 75)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 76)
@@ -71,5 +71,5 @@
 
 function stato_rilevazione($id_sez,$solosede){
-global $id_cons, $prefix, $dbi, $id_cons_gen;
+global $id_cons, $prefix, $dbi, $id_cons_gen,$status,$genere,$votol;
 $ops=0;
 $status=0;
@@ -79,5 +79,5 @@
 		if($res)
 		while (list($ora,$giorno) = mysql_fetch_row($res)){
-			$query="SELECT sum(voti_complessivi) FROM ".$prefix."_ele_voti_parziale as t1 where t1.id_cons='$id_cons' and t1.orario='$ora' and t1.data='$giorno'";
+			$query="SELECT sum(voti_complessivi) FROM ".$prefix."_ele_voti_parziale as t1 where t1.id_sez='$id_sez' and t1.orario='$ora' and t1.data='$giorno'";
 			$res2 = mysql_query("$query", $dbi);
 			list($voti)=mysql_fetch_row($res2);
@@ -89,21 +89,21 @@
 					$res3= mysql_query("SELECT count(num_sez) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
 					list($numtot) = mysql_fetch_row($res3);
-					$res3= mysql_query("SELECT maschi+femmine+autorizzati_m+autorizzati_f FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'", $dbi);
-					list($iscritti) = mysql_fetch_row($res3);
-
+					$res3= mysql_query("SELECT maschi+autorizzati_m,femmine+autorizzati_f FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'", $dbi);
+					list($iscrittim,$iscrittif) = mysql_fetch_row($res3);
+					$iscritti=$iscrittim+$iscrittif;
 					
 					$query="SELECT voti_complessivi, voti_uomini, voti_donne FROM ".$prefix."_ele_voti_parziale as t1 where t1.id_sez='$id_sez' and t1.orario='$ora' and t1.data='$giorno'";
 					$res3 = mysql_query("$query", $dbi);
 					list($voti, $uomini, $donne)=mysql_fetch_row($res3);
-					if($voti>0) {#echo $query;
-						if ((($uomini+$donne)==0 or ($uomini+$donne)==$voti) and ($voti)<=$iscritti)
-							if($numscru<$numtot and $numscru>0)
-								{$status=1;break;}
-							else
-								{$status=0;break;}
-						else return 1;
-					} #else return 0;
+#					if($voti>0) {#echo $query;
+						if ((($uomini+$donne)==0 and ($voti)<=$iscritti) or ((($uomini+$donne)==$voti) and ($uomini<=$iscrittim) and ($donne<=$iscrittif))){
+							#if($numscru<$numtot and $numscru>0)
+								{$status=1;$ops=-1;break;}#
+#							else
+#								{$status=0;$ops=-1;break;}
+						}else {return 1;}
+#					} else return 0;
 				}
-			}
+			} else {return -1;}
 		}
 		# return 0;
@@ -114,19 +114,19 @@
 			if($validi) {
 					$status=0;
-					$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,voti_nulli,validi_lista,contestati_lista,voti_nulli_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
+					$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
 					$res4 = mysql_query("$query", $dbi);
-					list($validi, $nulli, $bianchi,$contestati,$votinulli,$sologruppo,$votinulli,$validilista,$contestatilista,$votinullilista)=mysql_fetch_row($res4);
-					if($validi>0) { 
+					list($validi, $nulli, $bianchi,$contestati,$votinulli,$sologruppo,$validilista,$contestatilista,$votinullilista)=mysql_fetch_row($res4);
+					if($validi>0) {
 						if (($validi+$nulli+$bianchi+$contestati+$votinulli)==$voti)
-							{$status=1;}
+							{$status=1;$ops=-4;}
 						else return 4;
 					} #else return 0;
 			}
-		}	
+		}
 		#controllo congruenza voti di gruppo
 		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'", $dbi);
-		if($res3){
+		if($res3){$status=0;$ops=-4;
 			list($votig) = mysql_fetch_row($res3);
-			if($votig) {
+			if($votig) {  
 					$status=0;
 					$query="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
@@ -135,31 +135,28 @@
 					if($votigs>0) {
 						if (($votigs)==$validi)
-							{$status=1;}
+							{$status=1;$ops=-3;}
 						else return 4;
 					} #else return 0;
 			}
-		}	
+		}
 		#controllo congruenza voti di lista
 		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
-		if($res3){
+		if($res3 and ($genere>1 and !$votol)){$status=0;
 			list($votil) = mysql_fetch_row($res3);
 			if($votil) {
-						$status=0;
+						
 					$query="SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'";
 					$res4 = mysql_query("$query", $dbi);
 					list($votils)=mysql_fetch_row($res4);
 					if($votils>0) {
-						if (($votils+$sologruppo+$votinulli+$contestatilista+$votinullilista)==($validi+$contestati))
-							{$status=1;}
-						else return 3;
+						if (($votils+$sologruppo+$contestatilista+$votinullilista)==($validi+$votinulli+$contestati))
+							{$status=1;$ops=-3;}
+						else {return 3;}
 					} #else return 0;
 			}
-		}	
-
-
-
-if($status==1) return (-1);			
-else return 0;
-
+		}elseif($ops==-3){ $ops=-4;}	
+
+
+return ($ops);
 	}
 
@@ -189,4 +186,6 @@
 		$i=0;
 		while(list($sez_num, $sez_id ,$sede_id) = mysql_fetch_row($res)) {
+			$ops='';
+			if(!$id_sez) {$id_sez=$sez_id; $id_sede=$sede_id;}
 			$i++;
 			$result = mysql_query("SELECT id_circ FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_sede='$sede_id' ", $dbi);
@@ -194,15 +193,22 @@
 			//colora la sezione
 			$sezstat=0; #die($ops);
+			global $status;
 			$sezstat=stato_rilevazione($sez_id,$solosede);
-			if ($sezstat==(-1)) $bgsez="#99CC33"; #verde
+			$cursez='';
+			$bgsez="";
+#			if ($sezstat==(-1)) $bgsez="#99CC33"; #verde
+			if ($status==1 and $sezstat<0) { $ops=abs($sezstat);$bgsez="#99CC33";} #verde
+			elseif ($sezstat<0) {$ops=abs($sezstat);}
 			elseif ($sezstat>0) {
 				$bgsez="#FF3300";#rosso;
-				$ops=$sezstat;
+				if ($sezstat) $ops=$sezstat; else $ops=1;
 				}
 			else{$bgsez="";}
+			if(!$ops) $ops=1;
 			$res2= mysql_query("SELECT num_sez FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'", $dbi);
 			list($numero_sez) = mysql_fetch_row($res2);
-			if ($sez_num==$numero_sez) {$bgsez="#FFFF00";}
-			echo "\n<td align=\"center\" width=\"5%\" bgcolor=\"$bgsez\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$circ_id&amp;id_sede=$sede_id&amp;id_sez=$sez_id&amp;ops=$ops&amp;do=spoglio&amp;id_lista=$id_lista\">$sez_num</a></b></td>\n";
+			if ($sez_num==$numero_sez) {$cursez= "style=\" border-color: YELLOW; border-width: 5px;
+\"";}#$bgsez="#FFFF00";}
+			echo "\n<td align=\"center\" width=\"5%\" bgcolor=\"$bgsez\" $cursez><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$circ_id&amp;id_sede=$sede_id&amp;id_sez=$sez_id&amp;ops=$ops&amp;do=spoglio&amp;id_lista=$id_lista\">$sez_num</a></b></td>\n";
 			if (($i%$nums) ==0) echo "</tr>\n<tr bgcolor=\"$bgcolor1\">";
 		}
@@ -217,11 +223,11 @@
 
 
-function voti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av,$id_lista) {
-   	global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$prev_sez,$votog,$votol,$votoc,$conscirc;
+function voti($id_cons,$do,$id_circ,$id_sede,$ops,$ov,$mv,$gv,$msv,$av,$id_lista) {
+   	global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$prev_sez,$votog,$votol,$votoc,$conscirc,$id_sez;
 
    	echo "<table border=\"0\" width=\"770\" align=\"left\"><tr>";
     	echo "\n<td bgcolor=\"$bgcolor1\" align=\"left\">";
 	//echo "<h6>";
-		echo "\n<table align=\"left\" width=\"700\"  border=\"0\"><tr bgcolor=\"$bgcolor1\">";
+		echo "\n<table align=\"left\" width=\"100%\" border=\"3\"><tr bgcolor=\"$bgcolor1\">";
     		numeri_sezione(22);
 		echo "<td></td></tr></table>\n";
@@ -313,5 +319,5 @@
 	///////////////////////
 	if ($do == "spoglio") {
-		echo "\n<form name=\"sezione\" action=\"admin.php\">";
+/*		echo "\n<form name=\"sezione\" action=\"admin.php\">";
 		OpenTable();
 		echo "<tr><td>";
@@ -364,5 +370,5 @@
     		echo "\n</td></tr><tr><td>\n";
 //    		echo "\n</td></tr></table>\n";
-
+*/
 
 	//************************************
@@ -448,4 +454,5 @@
 $bgcolor2=$_SESSION['bgcolor2'];
     //controlla se sono stati inseriti i votanti
+    
 if(!$votog and ($genere==3 or $genere==5))
 	$result = mysql_query("select validi_lista,nulli,bianchi,contestati_lista,voti_nulli_lista from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
@@ -489,5 +496,4 @@
 
 		if ((!$id_lista)){$tab="_ele_voti_lista";} else {$tab="_ele_voti_candidati";}
-###############prova
 if($genere==4 and !$id_lista)	
 		$result = mysql_query("SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati,t2.voti_nulli from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
@@ -625,5 +631,5 @@
 		echo "</script>\n";
 #	}
-if (!((!$votog) and ($genere==3 OR $genere==5) and ($fascia>$limite)))
+#if (!((!$votog) and ($genere==3 OR $genere==5) and ($fascia>$limite)))
 	finale($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops);
  }
@@ -892,10 +898,10 @@
      	."<input type=\"hidden\" name=\"id_sede\" value=\"$id_sede\">";
 
-	echo "<table border=\"0\" width=\"80%\" align=\"center\"><tr bgcolor=\"$bgcolor1\" align=\"center\">";
+	echo "<table border=\"0\" width=\"90%\" align=\"center\"><tr bgcolor=\"$bgcolor1\" align=\"center\">";
 /*	if($ops==3 and ($genere==3 or ($genere==5 and $fascia>$limite)) )
 		echo "<td width=\"32\"><b>"._VOTI_LISTA."</b></td>";
 	else */
 		echo "<td width=\"32\"><b>"._VALIDI."</b></td>";
-	echo "<td width=\"32\"><b>"._NULLI."</b></td>"
+	echo "<td width=\"82\"><b>"._NULLI."</b></td>"
     ."<td><b>"._BIANCHI."</b></td>"
 	."<td width=\"32\"><b>"._VOTINULLI."</b></td>"
@@ -1262,5 +1268,6 @@
  switch ($op){
 	case "voti": //fa eccezione perche' chiamata con minor numero di parametri - riesaminare 
-    	voti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av,$id_lista);
+#    	voti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av,$id_lista);
+    	voti($id_cons,$do,$id_circ,$id_sede,$ops,$ov,$mv,$gv,$msv,$av,$id_lista);
     	break;
 	default :
Index: /trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- /trunk/client/modules/Elezioni/funzioni.php	(revision 75)
+++ /trunk/client/modules/Elezioni/funzioni.php	(revision 76)
@@ -428,9 +428,10 @@
 					$temp2tot=0;$temp2=array();$temp3=array();
 					while (list($key,$voti)= each($temp)) {
-						if($voti)
+						if($sevaltot>0){
 							$temp2[$key]=(ceil($voti*10000/$sevaltot)-($voti*10000/$sevaltot)); 
-                    	$valperc=number_format($voti*100/$sevaltot,2);
-						$temp3[$key]=$valperc;
-						$temp2tot+=$valperc;
+                    		$valperc=number_format($voti*100/$sevaltot,2);
+							$temp3[$key]=$valperc;
+							$temp2tot+=$valperc;
+						}
 					}
 					if($temp2tot>100)