Index: trunk/admin/modules/Elezioni/language/it/ele_cons_comuni.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_cons_comuni.html	(revision 79)
+++ trunk/admin/modules/Elezioni/language/it/ele_cons_comuni.html	(revision 80)
@@ -11,5 +11,5 @@
       <td>
       <p style="margin-bottom: 0cm; text-align: center; width: 576px;">Utilizzando
-il menu <b>Consultazioni</b> si inseriscono (pulsante "popola"), in maniera automatica, i dati relativi a Circoscrizioni, sedi elettorali e sezioni, dalla consultazione corrente a quella corrispondente al tasto "popola". E' possibile trasportare anche i dati degli iscritti nelle sezioni, ma va fatta espressamente la scelta tramite la relativa combo.<br>Sara' possibile copiare il numero degli iscritti anche successivamente, tramite il corrispondente pulsante "Aggiorna".<br><b>Nota bene:</b>La copia prevede come <b>origine dei dati</b> quelli presenti nella consultazione corrente e come destinazione quella corrispondente al pulsante <b>Popola</b>.
+il menu <b>Consultazioni</b> si inseriscono (pulsante "popola"), in maniera automatica, i dati relativi a Circoscrizioni (o Collegi), sedi elettorali e sezioni, dalla consultazione corrente a quella corrispondente al tasto "popola". E' possibile trasportare anche i dati degli iscritti nelle sezioni, ma va fatta espressamente la scelta tramite la relativa combo.<br>Sara' possibile copiare il numero degli iscritti anche successivamente, tramite il corrispondente pulsante "Aggiorna".<br><b>Nota bene:</b>La copia prevede come <b>origine dei dati</b> quelli presenti nella consultazione corrente e come destinazione quella corrispondente al pulsante <b>Popola</b>.
       </p>
       </td>
Index: trunk/admin/modules/Elezioni/language/it/ele_importa.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_importa.html	(revision 80)
+++ trunk/admin/modules/Elezioni/language/it/ele_importa.html	(revision 80)
@@ -0,0 +1,24 @@
+
+<table style="width: 686px; height: 150px; color: #000000;">
+
+  <tbody>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Menu dell'Amministratore del comune<br>Funzione di importazione dei dati della consultazione.</b></p><p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>ATTENZIONE! questa funzione cancella tutti i dati della consultazione corrente.</b></p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: left; width: 576px;">Utilizzando
+il menu <b>Importa liste</b> si importano nel DB i dati di raggruppamenti, liste e candidati (o quesiti referendari, a seconda della tipologia della consultazione). I dati sono prelevati dal file scaricato utilizzando la funzione "Scarica liste".<br>Procedere in questo modo:<br><b>1) In alto, da "Scelta della consultazione", impostare come consultazione corrente quella in cui si vogliono inserire i dati.<br>2) Selezionare la voce di menu "Importa liste"<br>3) Scegliere il file da cui importare i dati e confermare con OK.  
+      </p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Il passo successivo sara' "Permessi".</b> Se gli operatori non sono ancora stati inseriti si dovra' prima procedere al loro inserimento tramite il menu "Operatori", questa operazione va fatta una sola volta per tutte le consultazioni.</p>
+      </td>
+    </tr>
+  </tbody>
+</table>
+
Index: trunk/admin/modules/Elezioni/language/it/ele_scarica.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_scarica.html	(revision 80)
+++ trunk/admin/modules/Elezioni/language/it/ele_scarica.html	(revision 80)
@@ -0,0 +1,25 @@
+
+<table style="width: 686px; height: 150px; color: #000000;">
+
+  <tbody>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Menu dell'Amministratore del comune<br>Funzione di acquisizione dei dati della consultazione.</b></p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;">Utilizzando
+il menu <b>Scarica liste</b> ci si collega ad un'altra installazione di eleonline su internet per scaricare i dati di raggruppamenti, liste e candidati (o quesiti referendari, a seconda della tipologia della consultazione) salvandoli su un file. La URL deve essere quella di base del client, ad esempio quella predefinita e' "http://www.eleonline.it/moduli/eleonline2/client/" perche' nel nostro server la URL non e' specifica per l'installazione del client eleonline. Una installazione specifica, con un client installato nella radice del sito e', ad esempio, "http://elezioni.fonte-nuova.it".
+Una volta scelta la URL e confermato con OK, si ottiene l'elenco delle consultazioni disponibili nel sito, va selezionata quella di interesse nella combo quindi confermare con OK. L'ultima fase prevede la scelta del comune o della zona disponibili nel sito, selezionarlo nella combo e premere OK. Salvare il file su disco.
+      </p>
+      </td>
+    </tr>
+    <tr>
+      <td>
+      <p style="margin-bottom: 0cm; text-align: center; width: 576px;"><b>Il passo successivo sara' "Importa liste".</b></p>
+      </td>
+    </tr>
+  </tbody>
+</table>
+