Index: trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- trunk/client/modules/Elezioni/funzioni.php	(revision 138)
+++ trunk/client/modules/Elezioni/funzioni.php	(revision 139)
@@ -493,3 +493,18 @@
 }
 
+# funzione per verifica se esiste il voto disgunto tra sindaco e lista nelle amministrative siciliane
+function isdisgiunto(){
+global $prefix,$dbi,$id_cons,$limite,$fascia,$ops;
+	#voti di lista e di gruppo completamente disgiunti 
+	$result = mysql_query("select infdisgiunto, supdisgiunto from ".$prefix."_ele_conf as t2 left join ".$prefix."_ele_cons_comune as t1 on t1.id_conf=t2.id_conf where id_cons = '$id_cons' ", $dbi);
+	$glsep='';
+	if ($result) {
+		list($infdis,$supdis)=mysql_fetch_row($result);
+		if((($fascia>$limite and $supdis) or ($fascia<$limite and $infdis)) and $ops==3) 
+			$glsep='_lista';
+	}
+return $glsep;
+}
+
+
 ?>
Index: trunk/client/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-en.php	(revision 138)
+++ trunk/client/modules/Elezioni/language/lang-en.php	(revision 139)
@@ -23,4 +23,5 @@
 		define("_SOLO_GRUPPO","Ballots to the group only");
 		define("_CONSIGLIO","Provincial Council");
+		define("_ASOLO_GRUPPO","to the President only");
 		break;
 	case 2:
@@ -43,4 +44,5 @@
 		define("_SOLO_GRUPPO","Ballots for candidate Mayor only");
 		define("_CONSIGLIO","City Council");
+		define("_ASOLO_GRUPPO","to the Mayor only");
 		break;
 	case 4:
@@ -255,5 +257,6 @@
 define("_CHIUSA","CLOSED");
 define("_ASOLA_LISTA","to the List");
-define("_ASOLO_GRUPPO","to the Groups only");
+
+define("_SOLO_LISTA","Only List");
 define("_COLLEGIO","district");
 define("_INFO","Information");
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 138)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 139)
@@ -22,5 +22,6 @@
 define("_A","a");
 define("_ASOLA_LISTA","Alle Liste");
-define("_ASOLO_GRUPPO","Ai Soli Gruppi");
+
+define("_SOLO_LISTA","Solo Lista");
 define("_UOMINI","Uomini");
 define("_DONNE","Donne");
@@ -275,4 +276,5 @@
 		define("_VOTI_LISTA","Voti di lista");
 		define("_CONSIGLIO","Consiglio Provinciale");
+		define("_ASOLO_GRUPPO","Solo Presidente");
 		break;
 	case 2:
@@ -297,4 +299,5 @@
 		define("_CONSIGLIO","Consiglio Comunale");
 		define("_VOTI_LISTA","Voti di lista");
+		define("_ASOLO_GRUPPO","Solo Sindaco");
 		break;
         case 4:
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 138)
+++ trunk/client/modules/Elezioni/menu.php	(revision 139)
@@ -26,6 +26,7 @@
        
         // inizio tabella
-	echo "<table  class=\"table-main\"> <tr>";
-	
+	echo "<table  class=\"table-main\"><tr>";
+
+
 	/*********************************** 
 		Scelta Comune
@@ -35,4 +36,5 @@
 	{
 	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa<2 group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+		
 	      $rescomu= mysql_query("$sqlcomu",$dbi);
 	      $esiste_multi=mysql_num_rows($rescomu);
Index: trunk/client/modules/Elezioni/votanti.php
===================================================================
--- trunk/client/modules/Elezioni/votanti.php	(revision 138)
+++ trunk/client/modules/Elezioni/votanti.php	(revision 139)
@@ -220,20 +220,38 @@
 	$tab3="_ele_voti_lista";
 	if ($genere>0) {  //se non e' un referendum
+
+
+
 		if (!($genere==4) and $pag==0){  //se non e' una lista uninominale ed e' la prima pagina
-			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0' FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez order by t2.num_sez ";
+                        
+			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0','0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0' FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez order by t2.num_sez ";
 		
 		}else{ // e' una lista uninominale o la seconda pagina
-			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0'
+
+
+
+			# voto disgiunto regione sicilia aggiunge il campo solo lista
+		    if(isdisgiunto()){
+			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,t1.solo_lista,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0'
 			FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
 			left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
 			where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t2.id_sez order by t1.num_sez ";
+		     }else{
+			
+			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,'0',t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0'
+			FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
+			left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
+			where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t2.id_sez order by t1.num_sez ";
+			}
 		}
-		
+	
+
+	
 		$riga1 = "";
 		if($pag==0)$riga1 .="<h2>"._DETTAGLIO." "._VOTIE."</h2>";
-		else $riga1 .="<h2>"._DETTAGLIO." "._VOTIE." "._ASOLA_LISTA."</h2>";
-		
-	}else{ // e' un referendum
-		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo
+		else $riga1 .="<h4>"._DETTAGLIO." "._VOTIE." "._ASOLA_LISTA."</h4>";
+		
+	}else{ // e' un referendum --> t3.id_gruppo vuota per allineare il while (da rifare con array)
+		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,'0',t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo
 		FROM ".$prefix."_ele_voti_ref as t1 left join ".$prefix."_ele_sezioni as t2 on (t1.id_sez=t2.id_sez)
 		left join  ".$prefix."_ele_gruppo as t3 on (t1.id_gruppo=t3.id_gruppo) left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede)
@@ -259,6 +277,14 @@
 		$riga3 .= "<td>"._SI."</td><td>"._NO."</td>";
 	} elseif ((($genere==5) or ($genere==3)) and $pag==1){
-		$riga3 .= "<td>"._ASOLA_LISTA."</td><td>"._ASOLO_GRUPPO."</td>";
-	}
+		$riga3 .= "<td>Voti "._LISTE."</td>";
+		if(isdisgiunto()){
+			$riga3 .= "<td>Voti "._PRESI."</td>";
+			$riga3 .= "<td>"._SOLO_LISTA."</td>";
+			
+			
+		} // voto disgiunto
+		$riga3 .= "<td>"._ASOLO_GRUPPO."</td>";
+	}
+        
 	$riga3 .= "<td>"._VALIDI."</td><td>"._NULLI."</td><td>"._BIANCHI."</td><td>"._CONTESTATI."</td>"
     ."</tr>\n";
@@ -268,5 +294,7 @@
 	$scrutinate=1;
 	$tot_u=0;$tot_d=0;$tot_voti=0; $tot_si=0;$tot_no=0;$tot_validi=0;$tot_nulli=0;$tot_bianchi=0;$tot_contestati=0;
-	while (list($id_gruppo,$id,$num,$si,$no,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo) = mysql_fetch_row($res)){
+	$tot_sololista=0;$tot_gruppo=0;
+	#$si e $no sono valide anche per voti lista e solo gruppo per i non referendum
+	while (list($id_gruppo,$id,$num,$si,$no,$sololista,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo) = mysql_fetch_row($res)){
 	// inserimento numeri di sez non scrutinate
 		while ($scrutinate < $num) { 
@@ -274,4 +302,11 @@
 			$scrutinate++;
 		}
+
+	# voti sindaco, gruppo o presidente
+	$tab5="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id'";
+	$res3 = mysql_query("$tab5", $dbi);
+	list($sindaco) = mysql_fetch_row($res3);	
+	
+
 		$scrutinate++; 
 	// fine inserimento	
@@ -281,4 +316,5 @@
 		list($votid,$votiu,$voti) = mysql_fetch_row($res2);
 //		$voti=$votiu+$votid;
+		$tot_gruppo+=$sindaco;
 		$tot_u+=$votiu;
 		$tot_d+=$votid;
@@ -290,4 +326,5 @@
 		$tot_bianchi+=$bianchi;
 		$tot_contestati+=$contestati;
+		$tot_sololista+=$sololista;
 		$righe .= "<tr class=\"bggray2\">
 		<td>$num</td>
@@ -295,9 +332,19 @@
 		<td>".number_format($votid,0,',','.')."</td>
 		<td>".number_format($voti,0,',','.')."</td>";
-		if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righe 
-		.= "<td>".number_format($si,0,',','.')."</td>
-		<td>".number_format($no,0,',','.')."</td>";}
-		
+		if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){
+		$righe .= "<td>".number_format($si,0,',','.')."</td>";
+		
+		if(isdisgiunto()){
+			$righe .= "<td>".number_format($sindaco,0,',','.')."</td>";
+			$righe .= "<td>".number_format($sololista,0,',','.')."</td>";
+			}
+		$righe .= "<td>".number_format($no,0,',','.')."</td>";	
+
+
+}
+		
+
 		$righe .= "<td>".number_format($validi,0,',','.')."</td>
+
 		<td>$nulli</td>
 		<td>$bianchi</td>
@@ -320,5 +367,11 @@
 		$righet .= "<td>"._SI."</td><td>"._NO."</td>";
 	} elseif ((($genere==5) or ($genere==3)) and $pag==1){
-		$righet .= "<td>"._ASOLA_LISTA."</td><td>"._ASOLO_GRUPPO."</td>";
+		$righet .= "<td>Voti "._LISTE."</td>";
+		if(isdisgiunto()){
+			$righet .= "<td>Voti "._PRESI."</td>";
+			$righet .= "<td>"._SOLO_LISTA."</td>";
+		} // voto disgiunto	
+		$righet .= "<td>"._ASOLO_GRUPPO."</td>";
+		
 	}
 	if($totel==0) $totelrip="0.00"; else $totelrip=number_format($tot_voti*100/$totel,2);
@@ -330,16 +383,29 @@
 
 
-	<tr class=\"td-vuotoc\"><td><b>"._TOT."</b></td><td><b>".number_format($tot_u,0,',','.')."</b><br /><i>(".$totmrip." %)</i></td><td><b>".number_format($tot_d,0,',','.')."</b><br /><i>(".$totfrip." %)</i></td><td><b>".number_format($tot_voti,0,',','.')."</b><br /><i>(".$totelrip." %)</i></td>";
+	<tr class=\"td-vuotoc\"><td><b>"._TOT."</b></td><td><b>".number_format($tot_u,0,',','.')."</b><br /><i>(".$totmrip."%)</i></td><td><b>".number_format($tot_d,0,',','.')."</b><br /><i>(".$totfrip."%)</i></td><td><b>".number_format($tot_voti,0,',','.')."</b><br /><i>(".$totelrip."%)</i></td>";
 	
 	// se e' un referendum o una consultazione con raggruppamenti
 
 	if($tot_validi){
-	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(".number_format($tot_si*100/$tot_validi,2)." %)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(".number_format($tot_no*100/$tot_validi,2)." %)</i></td>";}
-	$righet .= "<td><b>".number_format($tot_validi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_validi*100/$tot_voti,2):'0.00')." %)</i></td><td><b>"
-	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0.00')." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0.00')." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0.00')." %)</i></td></tr>";
+	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){
+		$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(".number_format($tot_si*100/$tot_validi,2)."%)</i></td>";
+
+		if(isdisgiunto()){
+			$righet .="<td><b>".number_format($tot_gruppo,0,',','.')."</b><br /><i>(".number_format($tot_gruppo*100/$tot_validi,2)."%)</i></td>";
+			$righet .="<td><b>".number_format($tot_sololista,0,',','.')."</b><br /><i>(".number_format($tot_sololista*100/$tot_validi,2)."%)</i></td>";
+		}
+
+
+	$righet .="<td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(".number_format($tot_no*100/$tot_validi,2)."%)</i></td>";	
+	}
+
+
+		$righet .= "<td><b>".number_format($tot_validi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_validi*100/$tot_voti,2):'0.00')."%)</i></td><td><b>"
+	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0.00')."%)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0.00')."%)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0.00')."%)</i></td></tr>";
 	}else{
-	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(0.00 %)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(0.00 %)</i></td>";}
-	$righet .= "<td><b>0</b><br /><i>(0.00 %)</i></td><td><b>"
-	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0,00')." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0,00')." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0,00')." %)</i></td></tr>";
+	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){
+	$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(0.00%)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(0.00%)</i></td>";}
+	$righet .= "<td><b>0</b><br /><i>(0.00%)</i></td><td><b>"
+	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0,00')."%)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0,00')."%)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0,00')."%)</i></td></tr>";
 	}
 	}
@@ -395,4 +461,5 @@
 
 
+
 ############### stampa
 if ($xls!='1' && $pdf!='1'){
@@ -406,7 +473,14 @@
 	echo "$html \n";
 }elseif($pdf=='1'){
+
+
 		$nomefile="$descr_cons votanti.pdf";
-		
-		$stampa ="$datipdf $html";
+
+
+
+
+
+		
+		$stampa ="<div style=\"margin:0 auto;text-align:center;\">$datipdf $html</div>";
 		
 		require_once('inc/hpdf403/html2pdf.class.php');
@@ -414,5 +488,9 @@
 		$html2pdf->WriteHTML($stampa, isset($_GET['vuehtml']));
 		$html2pdf->Output($nomefile);
-}
+
+
+}
+
+
 
 
Index: trunk/client/temi/altro/index.php
===================================================================
--- trunk/client/temi/altro/index.php	(revision 138)
+++ trunk/client/temi/altro/index.php	(revision 139)
@@ -19,6 +19,6 @@
       <tr>
         <td class="logoleft"></td>
-        <td class="logo">Eleonline</td>
-        <td class="logoright"></td>
+        <td class="logo"><a href="modules.php?name=Elezioni">Eleonline</a></td>
+        <td class="logoright"></td>	
         <td class="tag">Consultazioni elettorali</td>
         <td class="tag">';
Index: trunk/client/temi/altro/style.css
===================================================================
--- trunk/client/temi/altro/style.css	(revision 138)
+++ trunk/client/temi/altro/style.css	(revision 139)
@@ -7,5 +7,5 @@
 /*background-image:url(images/body_bg.jpg); background-repeat:repeat-x; */
 	font: normal small Arial, Helvetica, sans-serif;
-	font-size:13px;
+	font-size:18px;
 	/*text-align:justify;*/
 	color: #000000;
Index: trunk/client/temi/blog/index.php
===================================================================
--- trunk/client/temi/blog/index.php	(revision 138)
+++ trunk/client/temi/blog/index.php	(revision 139)
@@ -23,5 +23,5 @@
 		noblocco();
 	echo '</div>
-<h1><a href="#">Eleonline</a> / <a href="http://www.eleonline.it/"><b>Elezioni on line</b></a></h1>
+<h1><a href="modules.php?name=Elezioni">Home Page</a> / <a href="modules.php?name=Elezioni"><b>Elezioni on line</b></a></h1>
 
 </div>
Index: trunk/client/temi/blog/style.css
===================================================================
--- trunk/client/temi/blog/style.css	(revision 138)
+++ trunk/client/temi/blog/style.css	(revision 139)
@@ -14,12 +14,15 @@
 	font-size: 13px;
 	color: #203C36;
+	
 }
 
 
 a {
+	font-size: 13px;
 	color: #7AB9AB;
 }
 
 a:hover {
+	font-size: 13px;
 	text-decoration: none;
 }
@@ -82,4 +85,5 @@
 	padding: 60px 0px;
 	background: url(images/img03.jpg) no-repeat;
+      
 }
 
@@ -89,4 +93,5 @@
 	float: left;
 	width: 770px;
+      
 }
 
@@ -140,5 +145,5 @@
 form {
 	
-	font-size: 5px;
+	font-size: 13px;
 	color: #000066;
 	text-decoration: none;
@@ -370,5 +375,5 @@
 }
 .table-docs {
-	font-size: 9px;
+	font-size: 13px;
 	padding: 1px;
 	color: #000000;
@@ -607,6 +612,7 @@
 	text-align: left; 
 }	
-
-
+.div {
+font-size: 15px;
+}
 div#sx{
     width: 610px;
Index: trunk/client/temi/default/index.php
===================================================================
--- trunk/client/temi/default/index.php	(revision 138)
+++ trunk/client/temi/default/index.php	(revision 139)
@@ -15,5 +15,5 @@
 global $tema,$file,$sitename,$blocco;
 echo "<div id=\"container\" >";
- echo '	<a href="http://www.eleonline.it">
+ echo '	<a href="modules.php?name=Elezioni">
 			<img  class="nobordo" src="temi/'.$tema.'/images/logo.gif" alt="$sitename" width="762" height="89" />
       			</a><br />';
Index: trunk/client/temi/default/style.css
===================================================================
--- trunk/client/temi/default/style.css	(revision 138)
+++ trunk/client/temi/default/style.css	(revision 139)
@@ -12,5 +12,5 @@
 body , html {
 	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 12px;
+	font-size: 13px;
 	font-style: normal;
 	font-weight: normal;
@@ -39,5 +39,5 @@
 td {
 	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 12px;
+	font-size: 13px;
 	margin-top: 0px;
 	margin: 0;
@@ -51,5 +51,5 @@
 form {
 	
-	font-size: 5px;
+	font-size: 12px;
 	color: #000066;
 	text-decoration: none;
@@ -62,5 +62,5 @@
 p {
 	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 12px;
+	font-size: 13px;
 	padding-right: 8px;
 	padding-bottom: 0px;
@@ -186,5 +186,5 @@
 	text-decoration: none;
 	border: 1px solid #666699;
-	font-size: 12px;
+	font-size: 13px;
 	text-align: left;
 }
@@ -226,5 +226,5 @@
 }
 .modulo-titolo {
-	font-size: 12px;
+	font-size: 13px;
 	font-weight: bold;
 	color: #336633;
@@ -242,5 +242,5 @@
 .table-main {
 	border: 1px solid #DEDEDC;
-	font-size: 12px;
+	font-size: 13px;
 	background-position: center top;
 	padding: 0px;
@@ -303,5 +303,5 @@
 }
 .omniainternet {
-	font-size: 12px;
+	font-size: 13px;
 	color: #993366;
 	text-decoration: none;
@@ -317,5 +317,5 @@
 }
 .message {
-	font-size: 12px;
+	font-size: 13px;
 	color: #EE3366;
 	text-decoration: none;
@@ -360,5 +360,5 @@
 .tavola {
 	background-image: url(images/back.gif);
-	font-size: 12px;
+	font-size: 13px;
 	border: none;
 	color: #330000;
@@ -377,5 +377,5 @@
 .table-80 {
 	margin: 0px auto;
-	font-size: 12px;
+	font-size: 13px;
 	border: none;
 	color: #330000;
@@ -385,5 +385,5 @@
 	text-align: center;
 	margin: 0px auto;
-	font-size: 12px;
+	font-size: 13px;
 	border: none;
 	color: #330000;
@@ -413,5 +413,5 @@
 	background-color: #d2d2d2;
 	padding: 0px;
-        FONT-SIZE: 12px; 
+        FONT-SIZE: 13px; 
         FONT-FAMILY: Verdana, Helvetica;
 	text-align: center; 
@@ -424,5 +424,5 @@
 	background-color: #d2d2d2;
 	padding: 0px;
-        FONT-SIZE: 12px; 
+        FONT-SIZE: 13px; 
         FONT-FAMILY: Verdana, Helvetica;
 	text-align: center; 
@@ -436,5 +436,5 @@
 	
 	
-        FONT-SIZE: 12px; 
+        FONT-SIZE: 13px; 
         FONT-FAMILY: Verdana, Helvetica;
 }	
Index: trunk/client/temi/stylized/index.php
===================================================================
--- trunk/client/temi/stylized/index.php	(revision 138)
+++ trunk/client/temi/stylized/index.php	(revision 139)
@@ -30,6 +30,6 @@
 // logo
 echo ' <div id="logo">
-        <h1><a href="http://www.eleonline.it">eleonline</a></h1>
-	<h2>consultazioni elettorali on line + <a href="http://www.linuxap.it"> by l.apolito e r.gigli</a>
+        <h1><a href="modules.php?name=Elezioni">eleonline</a></h1>
+	<h2> <a href="http://www.eleonline.it">consultazioni elettorali on line + by l.apolito e r.gigli</a>
 </h2>
 </div>
Index: trunk/client/temi/tour/index.php
===================================================================
--- trunk/client/temi/tour/index.php	(revision 138)
+++ trunk/client/temi/tour/index.php	(revision 139)
@@ -65,5 +65,5 @@
     <div>
         <h1>';
-		echo "$descr_com";
+		echo "<a href=\"modules.php?name=Elezioni\"> $descr_com</a>";
 echo '</a></h1>
 	<b>consultazioni elettorali on line </b> <a href="http://www.eleonline.it"> <i>by l.apolito e r.gigli</i></a>
Index: trunk/client/temi/yellowblu/index.php
===================================================================
--- trunk/client/temi/yellowblu/index.php	(revision 138)
+++ trunk/client/temi/yellowblu/index.php	(revision 139)
@@ -27,5 +27,5 @@
     <div id="logo">
         <h1>';
-		echo "$descr_com";
+		echo "<a href=\"modules.php?name=Elezioni\"> $descr_com</a>";
 echo '</a></h1>
 	<b>consultazioni elettorali on line </b><br /> <a href="http://www.eleonline.it"> <i>by l.apolito e r.gigli</i></a>